Page MenuHomePhabricator

Graph Display icons should have explanatory tooltips
Closed, ResolvedPublic

Description

When query's display setting is set to "Graph" (Display -> Graph), there are four icons/buttons in the center of the line containing the "Run"/"Clear"/"Display"/"Download"/"Link" buttons. It is not clear what any of the four buttons do. The buttons should have either tooltips or associated text explaining what they do.

Event Timeline

Yair_rand created this task.Jun 8 2016, 3:44 PM
Restricted Application added projects: Wikidata, Discovery. · View Herald TranscriptJun 8 2016, 3:44 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald Transcript
Smalyshev triaged this task as Normal priority.Sep 12 2016, 10:38 PM

@Designbygio Do you still plan on working on this task?
If not I will add it to Google-Code-In-2016

Hi @Addshore! Actually yes my idea was still to work on this, i'm stack since i need more info on how internazionalization work but i have a branch with most of the work done.
Anyway if you think someone else could be faster then me, i will just pick up a new task

This task might welcome instructions for a contributor how to set the "query's display setting".

Imported as https://codein.withgoogle.com/tasks/5099137976500224/

Jonas updated the task description. (Show Details)Nov 28 2016, 10:45 AM
Designbygio removed Designbygio as the assignee of this task.Nov 28 2016, 9:45 PM
Designbygio added a subscriber: Designbygio.

unfortunately i wasn't able to figured out the localization part of the task in short time, i prefer leave the task available so someone else can pick up and in case i will figured out the solution in the next days. i just assign it again to my self.

divadsn claimed this task.EditedJan 3 2017, 7:51 AM
divadsn added a subscriber: divadsn.

Where I am supposed to start? Should this fix also support l18n messages?

Edit: Found the repo, I am going to fix this now.

Change 330259 had a related patch set uploaded (by Divadsn):
Add explanatory tooltips for Graph display icons

https://gerrit.wikimedia.org/r/330259

Change 330259 merged by jenkins-bot:
Add explanatory tooltips for Graph display icons

https://gerrit.wikimedia.org/r/330259

divadsn closed this task as Resolved.Jan 5 2017, 6:33 AM

Change has been merged, hence marking this as resolved.

Jonas reopened this task as Open.Jan 5 2017, 11:31 AM

Sorry, but this ticket is for for those buttons:

I am sorry, but in the screenshot given in the bug report actually wasn't any buttons in the middle.

Here is the link: http://tinyurl.com/hnqskun
You have to click run to see the buttons.

divadsn added a comment.EditedJan 5 2017, 2:26 PM

Thanks! I will look into that tonight and provide a next patch.

This comment was removed by divadsn.

@Jonas could you please explain what these buttons are acutally supposed to do, so I can make proper i18n messages? :)

From left to right:

  • Stabilize network
  • Hierarchical Layout left to right
  • Hierarchical Layout up to down
  • Hierarchical Layout right to left

Thanks!

Change 332041 had a related patch set uploaded (by Divadsn):
Add explanatory tooltips for GraphResultBrowser display icons

https://gerrit.wikimedia.org/r/332041

Change 332041 merged by jenkins-bot:
Add explanatory tooltips for GraphResultBrowser display icons

https://gerrit.wikimedia.org/r/332041

divadsn closed this task as Resolved.Jan 19 2017, 6:58 PM

Jenkins has successfully merged my second change, so I will close this as finally resolved! :)